package com.glxp.udidl.admin.req.tyapi;

import com.glxp.udidl.admin.req.ListPageRequest;
import lombok.Data;

import java.util.List;

@Data
public class TyImportSupRequest extends ListPageRequest {
    /**
     * 批量下载医院列表，医院名称逗号隔开
     */
    private String hospitals;

    private String hospName;

    private String creditCodeFk;

    /**
     * 批量下载医院名称列表
     */
    private List<String> hospNames;

    /**
     * 批量下载医院统一社会信用列表
     */
    private List<String> hospCertCodes;

    /**
     * 查询年份
     */
    private String year;

    /**
     * 查询年份列表
     */
    private List<String> years;
}
