package com.glxp.udidl.admin.entity.udi;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

@ApiModel(value="com-glxp-udidl-admin-entity-udi-DiProduct")
@Data
@TableName(value = "di_product")
public class DiProductEntity implements Serializable {
    @TableId(value = "id", type = IdType.INPUT)
    @ApiModelProperty(value="")
    private Integer id;

    /**
     * 唯一键
     */
    @TableField(value = "`key`")
    @ApiModelProperty(value="唯一键")
    private Long key;

    /**
     * 产品名称，通用名称
     */
    @TableField(value = "cpmctymc")
    @ApiModelProperty(value="产品名称，通用名称")
    private String cpmctymc;

    /**
     * 分类编码
     */
    @TableField(value = "flbm")
    @ApiModelProperty(value="分类编码")
    private String flbm;

    /**
     * 统一社会信用代码证号
     */
    @TableField(value = "tyshxydm")
    @ApiModelProperty(value="统一社会信用代码证号")
    private String tyshxydm;

    /**
     * 注册/备案人名称
     */
    @TableField(value = "ylqxzcrbarmc")
    @ApiModelProperty(value="注册/备案人名称")
    private String ylqxzcrbarmc;

    /**
     * 注册/备案人名称英文名称
     */
    @TableField(value = "ylqxzcrbarywmc")
    @ApiModelProperty(value="注册/备案人名称英文名称")
    private String ylqxzcrbarywmc;

    /**
     * 商品名称
     */
    @TableField(value = "spmc")
    @ApiModelProperty(value="商品名称")
    private String spmc;

    /**
     * 产品类型（器械类别）
     */
    @TableField(value = "cplx")
    @ApiModelProperty(value="产品类型（器械类别）")
    private String cplx;

    /**
     * 耗材或者设备（产品类别）
     */
    @TableField(value = "hchzsb")
    @ApiModelProperty(value="耗材或者设备（产品类别）")
    private String hchzsb;

    /**
     * 备注
     */
    @TableField(value = "remark")
    @ApiModelProperty(value="备注")
    private String remark;

    /**
     * 创建时间
     */
    @TableField(value = "createTime")
    @ApiModelProperty(value="创建时间")
    private Date createTime;

    /**
     * 更新时间
     */
    @TableField(value = "updateTime")
    @ApiModelProperty(value="更新时间")
    private Date updateTime;

    private static final long serialVersionUID = 1L;
}
