package com.glxp.udidl.admin.res.chs;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@NoArgsConstructor
@Data
public class YbHcxxGgResponse {
    @JsonProperty("records")
    private Integer records;
    @JsonProperty("total")
    private Integer total;
    @JsonProperty("rows")
    private List<RowsDTO> rows;
    @JsonProperty("page")
    private Integer page;
    @JsonProperty("count")
    private Integer count;
    @JsonProperty("firstResult")
    private Integer firstResult;
    @JsonProperty("maxResults")
    private Integer maxResults;
    @JsonProperty("success")
    private Boolean success;
    @JsonProperty("result")
    private String result;
    @JsonProperty("conditions")
    private ConditionsDTO conditions;
    @JsonProperty("msg")
    private String msg;
    @JsonProperty("form")
    private String form;
    @JsonProperty("code")
    private Integer code;
    @JsonProperty("operCount")
    private Integer operCount;
    @JsonProperty("sord")
    private String sord;
    @JsonProperty("sidx")
    private String sidx;
    @JsonProperty("orderby")
    private String orderby;

    @NoArgsConstructor
    @Data
    public static class ConditionsDTO {
        @JsonProperty("productionCode")
        private String productionCode;
        @JsonProperty("specificationCode")
        private String specificationCode;
    }

    @NoArgsConstructor
    @Data
    public static class RowsDTO {
        @JsonProperty("releaseVersion")
        private Integer releaseVersion;
        @JsonProperty("companyName")
        private String companyName;
        @JsonProperty("catalogname1")
        private String catalogname1;
        @JsonProperty("catalogname2")
        private String catalogname2;
        @JsonProperty("catalogname3")
        private String catalogname3;
        @JsonProperty("commonname")
        private String commonname;
        @JsonProperty("matrial")
        private String matrial;
        @JsonProperty("characteristic")
        private String characteristic;
        @JsonProperty("relationId")
        private String relationId;
        @JsonProperty("catalogCode")
        private String catalogCode;
        @JsonProperty("specificationCode")
        private String specificationCode;
        @JsonProperty("productionCode")
        private String productionCode;
        @JsonProperty("regcardid")
        private String regcardid;
        @JsonProperty("regcardnm")
        private String regcardnm;
        @JsonProperty("regcardName")
        private String regcardName;
        @JsonProperty("productid")
        private String productid;
        @JsonProperty("productName")
        private String productName;
        @JsonProperty("goodsid")
        private String goodsid;
        @JsonProperty("specification")
        private String specification;
        @JsonProperty("model")
        private String model;
        @JsonProperty("isUsing")
        private Integer isUsing;
        @JsonProperty("relationStatus")
        private String relationStatus;
        @JsonProperty("addUserId")
        private String addUserId;
        @JsonProperty("addUserName")
        private String addUserName;
        @JsonProperty("addTime")
        private String addTime;
        @JsonProperty("lastUpdateUserId")
        private String lastUpdateUserId;
        @JsonProperty("lastUpdateUserName")
        private String lastUpdateUserName;
        @JsonProperty("lastUpdateTime")
        private String lastUpdateTime;
        @JsonProperty("auditRemark")
        private String auditRemark;
        @JsonProperty("auditUserId")
        private String auditUserId;
        @JsonProperty("auditUserName")
        private String auditUserName;
        @JsonProperty("auditTime")
        private String auditTime;
        @JsonProperty("udiCode")
        private String udiCode;
        @JsonProperty("ggxhCode")
        private String ggxhCode;
        @JsonProperty("oldregcardnm")
        private String oldregcardnm;
        @JsonProperty("mapingCode")
        private String mapingCode;
        @JsonProperty("codeOld")
        private String codeOld;
        @JsonProperty("codeShow")
        private String codeShow;
        @JsonProperty("dataType")
        private String dataType;
        @JsonProperty("registrant")
        private String registrant;
    }
}
