package com.glxp.udidl.admin.service.udchs.impl;


import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.glxp.udidl.admin.dao.chs.YbHcxxMapper;
import com.glxp.udidl.admin.dto.udchs.BaseParam;
import com.glxp.udidl.admin.entity.chs.YbHcxxEntity;
import com.glxp.udidl.admin.res.BaseResponse;
import com.glxp.udidl.admin.res.PageSimpleResponse;
import com.glxp.udidl.admin.service.udchs.YbHcxxService;
import com.glxp.udidl.admin.util.ResultVOUtils;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service
public class YbHcxxServiceImpl implements YbHcxxService {
    @Resource
    YbHcxxMapper mapper;
    @Override
    public BaseResponse getList(BaseParam param) {
        PageHelper.startPage(param.getPage(), param.getLimit());
        List<YbHcxxEntity> list = mapper.list(param);
        PageInfo<YbHcxxEntity> pageInfo = new PageInfo<>(list);
        PageSimpleResponse<YbHcxxEntity> pageSimpleResponse = new PageSimpleResponse<>();
        pageSimpleResponse.setTotal(pageInfo.getTotal());
        pageSimpleResponse.setList(list);
        return ResultVOUtils.success(pageSimpleResponse);
    }
}
